#                              -*- Mode: Perl -*- 
# Verb.pm -- 
# Author          : Ulrich Pfeifer
# Created On      : Thu Feb  1 09:10:48 1996
# Last Modified By: Ulrich Pfeifer
# Last Modified On: Sun Apr  3 11:44:28 2005
# Language        : Perl
# Update Count    : 29
# Status          : Unknown, Use with caution!

package Text::German::Verb;
require Exporter;
@ISA = qw(Exporter);
@EXPORT = qw(%VERB);

{
  local ($_);
  
  while (<DATA>) {
    chomp;
    ($verb, $key) = split;
    $VERB{$verb} = [split ':', $key];
  }
  close DATA;
}

sub reduce {
    my($v,$s,$e) = @_;
    my $ge = ($v.$s =~ /^ge/)?'ge':'';
    
    while (1) {		# algorithmus unklar
	#print "reduce: $s\n";
	if (defined $VERB{$s}) {
	    if ($VERB{$s}->[1]) { # 'ge' gehoert zum stamm 
		my $vg = $v;
		$vg =~ s/^ge//;
		return ($vg, $ge.$VERB{$s}->[0], $e);
	    } else {
		return ($v, $VERB{$s}->[0], $e);
	    }
	}
	last unless $e;
	$s .= substr($e,0,1);
	$e  = substr($e,1);
    }
    return undef;
}

1;
# stamm ersatz:ge gehoert zum wort
# fhr	fahr:0
__DATA__
	ess:0
a	ess:0
bck	back:0
bnd	bind:0
br	br:1
brg	berg:0
bt	bitt:0
bg	bieg:0
bt	biet:0
bk	back:0
back	back:0
band	bind:0
bar	berst:0
barg	berg:0
bat	bitt:0
bei	bei:0
ber	berst:0
berg	berg:0
berst	berst:0
bet	bitt:0
bi	bei:0
bieg	bieg:0
bier	br:1
biet	biet:0
bind	bind:0
bir	berst:0
birg	berg:0
biss	bei:0
bitt	bitt:0
bl	blas:0
blas	blas:0
bleib	bleib:0
bleich	bleich:0
blich	bleich:0
blieb	bleib:0
blies	blas:0
bog	bieg:0
bor	berst:0
borg	berg:0
bot	biet:0
br	brat:0
brch	bring:0
brt	brat:0
brach	bring:0
brann	brenn:0
brat	brat:0
brech	brech:0
brenn	brenn:0
brich	brech:0
briet	brat:0
bring	bring:0
broch	brech:0
buk	back:0
bund	bind:0
dch	denk:0
dng	ding:0
dnk	dnk:0
drb	derb:0
drf	drf:0
dach	denk:0
dang	ding:0
darb	derb:0
darf	drf:0
deih	deih:1
denk	denk:0
derb	derb:0
deuch	dnk:0
dieh	deih:1
ding	ding:0
dirb	derb:0
dorb	derb:0
drng	dring:0
drsch	dresch:0
drsch	dresch:0
drss	drie:0
drang	dring:0
drasch	dresch:0
dresch	dresch:0
drie	drie:0
dring	dring:0
drisch	dresch:0
dro	drie:0
drosch	dresch:0
dross	drie:0
drung	dring:0
dung	ding:0
durf	drf:0
ess	ess:0
fhl	fehl:0
fhr	fahr:0
fll	fall:0
fnd	find:0
fng	fang:0
fch	fecht:0
fhl	fehl:0
fhr	fhr:0
fahl	fehl:0
fahr	fahr:0
fall	fall:0
fand	find:0
fang	fang:0
fech	fecht:0
fecht	fecht:0
fehl	fehl:0
fich	fecht:0
fiehl	fehl:0
fiel	fall:0
find	find:0
fing	fang:0
flch	flecht:0
flg	flieg:0
flh	flieh:0
flss	fliess:0
flech	flecht:0
flecht	flecht:0
flei	flei:0
fli	flei:0
flich	flecht:0
flicht	flecht:0
flieg	flieg:0
flieh	flieh:0
fliess	fliess:0
fliss	flei:0
flo	fliess:0
floch	flecht:0
flog	flieg:0
floh	flieh:0
floss	fliess:0
foch	fecht:0
fohl	fehl:0
fr	fress:0
frg	frag:0
frr	frier:0
fra	fress:0
frag	frag:0
fress	fress:0
fri	fress:0
frier	frier:0
fror	frier:0
frug	frag:0
fuhr	fahr:0
fund	find:0
g	gess:0
gb	geb:0
gl	gelt:0
gnn	ginn:0
gr	gr:0
gl	gelt:0
gnn	ginn:0
gr	gr:0
gss	gie:0
ga	gess:0
gab	geb:0
gal	gelt:0
gang	geh:0
gann	ginn:0
geb	geb:0
geh	geh:0
gelt	gelt:0
gess	gess:0
gi	gess:0
gib	geb:0
gie	gie:0
gil	gelt:0
gilt	gelt:0
ging	geh:0
ginn	ginn:0
glmm	glimm:0
gleich	gleich:0
gleit	gleit:0
glich	gleich:0
glimm	glimm:0
glitt	gleit:0
glomm	glimm:0
go	gie:0
gol	gelt:0
gonn	ginn:0
gor	gr:0
goss	gie:0
grb	grab:0
grb	grab:0
grab	grab:0
greif	greif:0
griff	greif:0
grub	grab:0
hl	halt:0
hlf	helf:0
hlt	halt:0
hng	hng:0
htt	hab:0
hb	heb:0
hb	heb:0
hlf	helf:0
ha	hab:0
hab	hab:0
hal	halt:0
half	helf:0
halt	halt:0
hang	hng:0
hat	hab:0
hau	hau:0
heb	heb:0
hei	hei:0
helf	helf:0
hie	hei:0
hieb	hau:0
hiel	halt:0
hilf	helf:0
hing	hng:0
hob	heb:0
holf	helf:0
hub	heb:0
i	ess:0
ies	
km	komm:0
kmm	komm:0
knn	knn:0
kr	kies:0
kam	komm:0
kann	knn:0
kies	kies:0
klng	kling:0
klmm	klimm:0
klang	kling:0
klimm	klimm:0
kling	kling:0
klomm	klimm:0
klung	kling:0
kneif	kneif:0
kniff	kneif:0
komm	komm:0
konn	knn:0
kor	kies:0
krch	kriech:0
kreisch	kreisch:0
kriech	kriech:0
krisch	kreisch:0
kroch	kriech:0
l	lass:0
ld	lad:0
lg	lieg:0
lng	ling:1
ls	les:0
luf	lauf:0
lg	lg:0
lr	lier:0
lsch	lsch:0
ld	lad:0
lg	lg:0
lad	lad:0
lag	lieg:0
lang	ling:1
las	les:0
lass	lass:0
lauf	lauf:0
leg	lieg:0
leid	leid:0
leih	leih:0
les	les:0
lie	les:0
lie	lass:0
lief	lauf:0
lieg	lieg:0
lieh	leih:0
lier	lier:0
lies	les
ling	ling:1
lisch	lsch:0
litt	leid:0
log	lg:0
lor	lier:0
losch	lsch:0
lud	lad:0
lung	ling:1
m	mess:0
mch	mg:0
mg	mg:0
mlk	melk:0
m	mss:0
mss	mss:0
ma	mess:0
mag	mg:0
mahl	mahl:0
meid	meid:0
melk	melk:0
mess	mess:0
mi	mess:0
mied	meid:0
milk	melk:0
moch	mg:0
molk	melk:0
mu	mss:0
nhm	nehm:0
ns	nes:1
nss	nie:1
nahm	nehm:0
nann	nenn:0
nas	nes:1
nehm	nehm:0
nenn	nenn:0
nes	nes:1
nie	nie:1
nimm	nehm:0
no	nie:1
nomm	nehm:0
noss	nie:1
pfhl	pfehl:0
pfnd	pfind:0
pfng	pfang:0
pfhl	pfehl:0
pfahl	pfehl:0
pfand	pfind:0
pfang	pfang:0
pfehl	pfehl:0
pfeif	pfeif:0
pfiehl	pfehl:0
pfiff	pfeif:0
pfind	pfind:0
pfing	pfang:0
pflg	pfleg:0
pfleg	pfleg:0
pflog	pfleg:0
pfohl	pfehl:0
pfund	pfind:0
preis	preis:0
pries	preis:0
qull	quell:0
quell	quell:0
quill	quell:0
quoll	quell:0
r	rat:0
rng	ring:0
rnn	rinn:0
rt	rat:0
rch	riech:0
rnn	rinn:0
ra	rat:0
rang	ring:0
rann	renn:0
rat	rat:0
rei	rei:0
reib	reib:0
reit	reit:0
renn	renn:0
ri	rei:0
rie	rat:0
rieb	reib:0
riech	riech:0
rief	ruf:0
riet	rat:0
ring	ring:0
rinn	rinn:0
riss	rei:0
ritt	reit:0
roch	riech:0
ronn	rinn:0
ruf	ruf:0
rung	ring:0
s	sitz:0
sh	seh:0
sng	sing:0
snk	sink:0
snn	sinn:0
suf	sauf:0
sff	sauf:0
sg	saug:0
snn	sinn:0
st	sied:0
stt	sied:0
sa	sitz:0
sah	seh:0
salz	salz:0
sand	send:0
sang	sing:0
sank	sink:0
sann	sinn:0
sauf	sauf:0
saug	saug:0
schh	scheh:1
schb	schieb:0
schl	schelt:0
schll	schall:0
schr	scher:0
schss	schie:0
schf	schaff:0
schaff	schaff:0
schah	scheh:1
schal	schelt:0
schall	schall:0
scheh	scheh:1
schei	schei:0
scheid	scheid:0
schein	schein:0
schelt	schelt:0
scher	scher:0
schi	schei:0
schie	schie:0
schieb	schieb:0
schied	scheid:0
schieh	scheh:1
schien	schein:0
schil	schelt:0
schilt	schelt:0
schind	schind:0
schiss	schei:0
schlf	schlaf:0
schlg	schlag:0
schlng	schling:0
schlss	schlie:0
schlg	schlag:0
schlaf	schlaf:0
schlag	schlag:0
schlang	schling:0
schlei	schlei:0
schleich	schleich:0
schleif	schleif:0
schli	schlei:0
schlich	schleich:0
schlie	schlie:0
schlief	schlaf:0
schliff	schleif:0
schling	schling:0
schliss	schlei:0
schlo	schlie:0
schloss	schlie:0
schlug	schlag:0
schlung	schling:0
schmlz	schmelz:0
schmei	schmei:0
schmelz	schmelz:0
schmi	schmei:0
schmilz	schmelz:0
schmiss	schmei:0
schmolz	schmelz:0
schnb	schnaub:0
schnaub	schnaub:0
schneid	schneid:0
schnitt	schneid:0
schnob	schnaub:0
scho	schie:0
schob	schieb:0
schol	schelt:0
scholl	schall:0
schor	scher:0
schoss	schie:0
schrk	schreck:0
schrak	schreck:0
schreck	schreck:0
schrei	schrei:0
schreib	schreib:0
schreit	schreit:0
schri	schrei:0
schrick	schreck:0
schrie	schrei:0
schrieb	schreib:0
schrit	schreit:0
schritt	schreit:0
schrock	schreck:0
schuf	schaff:0
schund	schind:0
schwmm	schwimm:0
schwnd	schwind:0
schwng	schwing:0
schwll	schwell:0
schwmm	schwimm:0
schwr	schwr:0
schwr	schwr:0
schwamm	schwimm:0
schwand	schwind:0
schwang	schwing:0
schweig	schweig:0
schwell	schwell:0
schwieg	schweig:0
schwill	schwell:0
schwimm	schwimm:0
schwind	schwind:0
schwing	schwing:0
schwoll	schwell:0
schwomm	schwimm:0
schwor	schwr:0
schwund	schwind:0
schwung	schwing:0
schwur	schwr:0
seh	seh:0
send	send:0
sess	sitz:0
sied	sied:0
sieh	seh:0
sing	sing:0
sink	sink:0
sinn	sinn:0
sitz	sitz:0
soff	sauf:0
sog	saug:0
sonn	sinn:0
sot	sied:0
sott	sied:0
spnn	spinn:0
spnn	spinn:0
spann	spinn:0
spei	spei:0
spi	spei:0
spie	spei:0
spinn	spinn:0
splei	splei:0
spli	splei:0
spliss	splei:0
sponn	spinn:0
sprch	sprech:0
sprng	spring:0
sprss	sprie:0
sprach	sprech:0
sprang	spring:0
sprech	sprech:0
sprich	sprech:0
sprie	sprie:0
spring	spring:0
spro	sprie:0
sproch	sprech:0
spross	sprie:0
sprung	spring:0
stch	stech:0
sthl	stehl:0
stk	steck:0
stnd	steh:0
stnk	stink:0
st	sto:0
stb	stieb:0
sthl	stehl:0
stnd	steh:0
strb	sterb:0
stach	stech:0
stahl	stehl:0
stak	steck:0
stand	steh:0
stank	stink:0
starb	sterb:0
stech	stech:0
steck	steck:0
steh	steh:0
stehl	stehl:0
steig	steig:0
sterb	sterb:0
stich	stech:0
stie	sto:0
stieb	stieb:0
stieg	steig:0
stiehl	stehl:0
stink	stink:0
stirb	sterb:0
sto	sto:0
stob	stieb:0
stoch	stech:0
stohl	stehl:0
storb	sterb:0
streich	streich:0
streit	streit:0
strich	streich:0
strit	streit:0
stritt	streit:0
stunk	stink:0
sung	sing:0
sunk	sink:0
t	tun:0
tt	tun:0
ta	tun:0
tan	tun:0
tat	tun:0
trf	treff:0
trg	trag:0
trnk	trink:0
trt	tret:0
trff	trief:0
trg	trg:0
trg	trg:0
traf	treff:0
trag	trag:0
trank	trink:0
trat	tret:0
treff	treff:0
treib	treib:0
tret	tret:0
trieb	treib:0
trief	trief:0
triff	treff:0
trink	trink:0
trit	tret:0
tritt	tret:0
troff	treff:0
trog	trg:0
trug	trag:0
trunk	trink:0
tu	tun:0
tun	tun:0
wch	wachs:0
wnd	wind:0
wnn	winn:1
wsch	wasch:0
wb	web:0
wg	wieg:0
wnn	winn:1
w	wiss:0
wchs	wachs:0
wrb	werb:0
wrd	werd:0
wrf	werf:0
wsch	wasch:0
wachs	wachs:0
wand	wind:0
wann	winn:1
warb	werb:0
ward	werd:0
warf	werf:0
wasch	wasch:0
web	web:0
wei	wiss:0
weich	weich:0
weis	weis:0
werb	werb:0
werd	werd:0
werf	werf:0
wich	weich:0
wieg	wieg:0
wies	weis:0
will	woll:0
wind	wind:0
winn	winn:1
wir	werd:0
wirb	werb:0
wird	werd:0
wirf	werf:0
wiss	wiss:0
wob	web:0
wog	wieg:0
woll	woll:0
wonn	winn:1
worb	werb:0
word	werd:0
worf	werf:0
wrng	wring:0
wrang	wring:0
wring	wring:0
wrung	wring:0
wu	wiss:0
wuchs	wachs:0
wund	wind:0
wurd	werd:0
wusch	wasch:0
zg	zieh:0
zieh	zieh:0
zog	zieh:0
zwng	zwing:0
zwang	zwing:0
zwing	zwing:0
zwung	zwing:0
